## debian-guide-es 1.0.3

=== Makefile ===
SRCFILES := $(wildcard texfiles/*) $(wildcard texfiles/images/*)
LATEXCMD:= cd build  && latex -interaction=nonstopmode  debian-guide-es.tex
all: build/latex2html build/debian-guide-es.ps build/debian-guide-es.pdf
# The tex4ht call takes quite a while so we will be providing just
# the noframes version ATM
#all: build/frames build/noframes build/debian-guide-es.ps build/debian-guide-es.pdf

build: $(SRCFILES)
	-mkdir build build/images
	cp *.tex *.eps *.clo *.cls build

clean:
	-rm -r build
	-find . -name "*~" -exec rm -v {} \;
	-rm -r ++* ,*

build/debian-guide-es.dvi: $(SRCFILES) build
	-$(LATEXCMD)
	-$(LATEXCMD)
	-$(LATEXCMD)
	cd build && makeindex debian-guide-es.idx
	-$(LATEXCMD)
	-$(LATEXCMD)
	-$(LATEXCMD)

build/debian-guide-es.ps: build/debian-guide-es.dvi
	cd build && dvips -o debian-guide-es.ps debian-guide-es.dvi

build/debian-guide-es.pdf: build/debian-guide-es.ps
	cd build && ps2pdf14 debian-guide-es.ps

# Note: Is there a way to force nonstopmode in htlatex?
build/frames: build
	-rm -r build/frames
	mkdir build/frames
	cd build && htlatex debian-guide-es-html.tex "html,frames,4,next,info" "" "-dframes/"
	cd build && tex '\def\filename{{debian-guide-es-html}{idx}{4dx}{ind}} \input idxmake.4ht'
	cd build && makeindex -o debian-guide-es-html.ind debian-guide-es-html.4dx

	cd build && htlatex debian-guide-es-html.tex "html,frames,4,next,info" "" "-dframes/"


build/noframes: build
	-rm -r build/noframes
	mkdir build/noframes
	cd build && htlatex debian-guide-es-html.tex "html,4,next,info" "" "-dnoframes/"
	cd build && tex '\def\filename{{debian-guide-es-html}{idx}{4dx}{ind}} \input idxmake.4ht'
	cd build && makeindex -o debian-guide-es-html.ind debian-guide-es-html.4dx

	cd build && htlatex debian-guide-es-html.tex "html,4,next,info" "" "-dnoframes/"

build/latex2html: build
	-rm -r build/latex2html
	mkdir build/latex2html
	cd build && latex2html -dir latex2html debian-guide-es-html.tex

## debian-guide-es 1.0.0

=== debian/changelog ===
debian-guide-es (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Enrique Zanardi <ezanard@debian.org>  Sun, 26 Nov 2000 12:08:37 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debian-guide-es
Section: doc
Priority: optional
Maintainer: Enrique Zanardi <ezanard@debian.org>
Standards-Version: 3.1.0

Package: debian-guide-es
Architecture: all
Description: Debian User Guide (in spanish)
 This package will install a book in HTML format that contains the
 Debian Installation Guide, the book "Debian GNU/Linux: Guide to
 Installation and Usage" by Debian developers John Goerzen and Ossama
 Othman (ISBN 0-7357-0914-9), the Linux Hardware HOWTO, and other
 documents, translated to spanish.
 .
 You can find the installed items under /usr/share/doc/debian-guide-es.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCROOT=debian/tmp/usr/share/doc/debian-guide-es

build: build-stamp
build-stamp:
	dh_testdir
	dh_installdirs

	# Add here commands to compile the package.
	./remake.sh html

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-./clean.sh

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	install -m 644 debian-guide-es/* \
	    `pwd`/debian/tmp/usr/share/doc/debian-guide-es/html

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	gunzip -v `find $(DOCROOT)/html -name "*.gz"`
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debian-guide-es 1.0.3

=== debian/changelog ===
debian-guide-es (1.0.3) unstable; urgency=low
 
  * Added (again) latex2html because it needs html.sty. Moved to contrib. (Closes: #253659)
  * Closing bugs fixed in NUMs. (Closes: #140549, #221330, #229429, #124538)
        
 -- Enrique Zanardi <ezanard@debian.org>  Thu,  5 Aug 2004 11:07:05 +0100
 

debian-guide-es (1.0.2) unstable; urgency=low
 
  * Added tetex-extra, imagemagick and gs to Build-Depends (used by tex4ht)
    (Closes: #229429)
        
 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Jan 2004 20:19:33 +0100
 

debian-guide-es (1.0.1.2) unstable; urgency=low

  * Note: This bug is a PIA to build, it takes soooo long I'm doing a new
  upload to fix these two bugs instead of recompiling the previous one)
  * Fixed lintian errors in debian/copyright (a typo in the location of the
    GPL and the boilerplate in Authors)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  8 Jan 2004 23:47:46 +0100

debian-guide-es (1.0.1.1) unstable; urgency=low

  * NMU
  * Moved from latex2html to TeX4ht using the Makefile mechanism
    of debian-guide. Notice, however, that there does not seem to 
    be a way to add -interaction=nonstopmode so HTML generation 
    will stop package creation (Closes: #221330)
  * Fixed typo in description (Closes: #124538)
  * Added myself to the Uploaders field (new Co-maintainer), Enrique is
    not fully MIA but he is unable to keep up with the packages.
  * Added TODO items

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  8 Jan 2004 00:03:20 +0100

debian-guide-es (1.0.1) unstable; urgency=low

  * Fixed Build-Depends and updated Standards Version (Closes: #140549)
  * Added a note (this documentation applies to Debian 2.2) both to the
    README.Debian and the package description.
  * Added -interaction=nonstopmode to the LaTeX execution to prevent
    the package creation to be stalled due to formatting issues.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 28 Oct 2002 10:33:56 +0100

=== debian/control ===
Source: debian-guide-es
Section: contrib/doc
Priority: optional
Maintainer: Enrique Zanardi <ezanard@debian.org>
Uploaders: Javier Fernandez-Sanguino <jfs@computer.org>
Build-Depends: debhelper
Build-Depends-Indep: debhelper, tetex-bin, tetex-base, psutils, ed, latex2html, tetex-extra, gs, imagemagick
Standards-Version: 3.6.1

Package: debian-guide-es
Architecture: all
Description: Debian User Guide (in spanish)
 This package will install a book in HTML format that contains the
 Debian Installation Guide, the book "Debian GNU/Linux: Guide to
 Installation and Usage" by Debian developers John Goerzen and Ossama
 Othman (ISBN 0-7357-0914-9), the Linux Hardware HOWTO, and other
 documents, translated to Spanish. Note that this document is based
 on the Debian 2.2 'potato' release and some information might not
 be relevant to latest releases (or might be out of date).
 .
 You can find the installed items under /usr/share/doc/debian-guide-es.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	dh_installdirs
 
 	# Add here commands to compile the package.
-	./remake.sh html
+	#./remake.sh
+	$(MAKE)
 
 	touch build-stamp
 
@@ -25,7 +26,8 @@
 	rm -f build-stamp install-stamp
 
 	# Add here commands to clean up after the build process.
-	-./clean.sh
+	#-./clean.sh
+	$(MAKE) clean
 
 	dh_clean
 
@@ -37,9 +39,14 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	install -m 644 debian-guide-es/* \
-	    `pwd`/debian/tmp/usr/share/doc/debian-guide-es/html
-
+	cp build/*.{pdf,ps} $(DOCROOT)
+	# Currently disabled (htlatex)
+#	cp -r build/noframes $(DOCROOT)/html
+#	cd $(DOCROOT)/html/noframes && ln -s debian-guide-es-htmlpa1.html index.html
+	# Currently disabled (htlatex)
+	#cp -r build/frames $(DOCROOT)/html
+	cp -r build/latex2html/* $(DOCROOT)/html
+	rm $(DOCROOT)/html/images.idx
 	touch install-stamp
 
 # Build architecture-dependent files here.
@@ -65,7 +72,7 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here
-	gunzip -v `find $(DOCROOT)/html -name "*.gz"`
+#	gunzip -v `find $(DOCROOT)/html -name "*.gz"`
 #	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
